//! The main program which runs using any of the various commands defined in
//! [`crate::requests::Args`].
#![deny(missing_docs)]

pub mod success;
pub mod external;
pub mod requests;
pub mod responses;
pub mod types;

use requests::Args;
use clap::Parser;

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let args = Args::parse();
    match args.make_request() {
      Ok(info) => println!("{:?}", info),
      Err(e) => println!("Error: {:?}", e),
    };
    Ok(())
}
